using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office.Model;

public partial class DrugType : IUnionId
{
	public object GetId() => DrugTypeId;

	[Display(Name = "hide")]
	public int DrugTypeId { get; set; }

	[Display(Name = "Название на русском")]
	public string InternationalNameRu { get; set; } = null!;

	[Display(Name = "Название на английском")]
    public string? InternationalNameEn { get; set; }

	[Display(Name = "Название на латинском")]
    public string? InternationalNameLa { get; set; }

	[Display(Name = "Брэнд")]
    public string? BrandNameRu { get; set; }

	[Browsable(false)]
    public virtual ICollection<DrugTypePrescription> DrugTypePrescriptions { get; set; } = new List<DrugTypePrescription>();
}
